%define aurox_ver 10.2
%define rel 2

#define cvsdate 20040429
# $Id: koffice.spec,v 1.50 2004/03/21 13:55:28 rexdieter Exp $

# helper apps/library versions
%define wv2_ver 0:0.2.1
%define aspell_ver 11:0.50

%define is_release 1

Summary: A set of office applications for KDE.
Name: 	 koffice
Group:	 Applications/Office
Epoch:	 5
Version: 1.3.5
Release: %{aurox_ver}.aur.%{?cvsdate:0.%{cvsdate}.}%{rel}
License: GPL
URL:	 http://koffice.kde.org/
Source:  ftp://ftp.kde.org/pub/kde/stable/koffice-%{version}/koffice-%{version}.tar.bz2
#Source:  koffice-%{cvsdate}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Patch1: koffice-desktopfix.patch

# XPDF integer vulnerability
Patch2: post-1.3.5-koffice.patch
Patch3: koffice-1.3.5-xpdf_security_integer_overflow_2.patch
Patch4: desktop.patch

BuildRequires: libtool
BuildRequires: doxygen
BuildRequires: libart_lgpl-devel
BuildRequires: libtiff-devel
BuildRequires: aspell-devel >= %{aspell_ver} 
# let rpm auto-detect -- Rex
#Requires: aspell >= %{aspell_ver}
BuildRequires: graphviz-devel
BuildRequires: ImageMagick-devel
BuildRequires: wv2-devel >= %{wv2_ver} 
# let rpm auto-detect -- Rex
#Requires: wv2 >= %{wv2_ver}

#for i18n
Requires: koffice-i18n
# For kformula
Requires: mathml-fonts

BuildRequires: qt-devel >= 1:3.1
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel | cut -d. -f1,2)
Requires: qt >= 1:%{qt_ver}

BuildRequires: kdelibs-devel >= 6:3.1
%define kdelibs_ver %(rpm -q --qf '%%{version}' kdelibs-devel | cut -d. -f1,2 )
Requires: kdelibs >= 6:%{kdelibs_ver}
%if "%{kdelibs_ver}" < "3.2"
%define desktop_file 1
%define mimelnk_pkg 1
Requires: %{name}-mimelnk >= %{epoch}:%{version}
%endif

## gcc version in use? 
BuildRequires: gcc-c++
%define gcc_ver %(rpm -q --qf '%%{version}' gcc-c++ )

Obsoletes: killustrator < %{epoch}:%{version}
Obsoletes: kivio < %{epoch}:%{version}


%description
The koffice package contains the KOffice office-type applications for
the K Desktop Environment (KDE) GUI desktop. KOffice contains KWord, a
word processor; KSpread, a spreadsheet; KPresenter, for presentations;
and KChart, a diagram generator.

%package devel
Summary: Development files for KOffice
Group:	 Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
%description devel
Development files for KOffice. Install koffice-devel if you want to develop
or compile plugins for KOffice.

%package mimelnk
Summary: KOfffice (optional) mimelnk entries
Group:  Applications/Office
%description mimelnk
Optional mimelnk entries, to be Obsolete'd by later kdelibs releases
(namely, version kdelibs-3.2).


%prep
#%if "%{is_release}" != "0"
#%setup -q -n %{name}-%{version}%{?beta} 
#%else
#%setup -q -n %{name}  
#%endif
#%setup -q -n %{name}-%{cvsdate} 
%setup -q -n %{name}-%{version}

%if "%{?desktop_file}" == "1"
%patch1 -p1 -b .dt
%endif

%patch2 -p1
%patch3 -p1
%patch4 -p1

# append ; to desktop_file Categories
perl -pi -e 's@Categories(.*)Office$@Categories${1}Office\;@' */*.desktop */*/*.desktop


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="-D_GNU_SOURCE"

FLAGS="$FLAGS $RPM_OPT_FLAGS"

export CXXFLAGS="$FLAGS"
export CFLAGS="$FLAGS"

# Build CVS:
#make -f Makefile.cvs

# build official release:
make -f admin/Makefile.common configure
%configure \
  --program-prefix="%{?_program_prefix}" \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
%if "%{?debug}" != "1"
  --disable-dependency-tracking \
  --disable-debug --disable-warnings \
  --enable-final \
%else
  --enable-debug --enable-warnings \
%endif

make

%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

# Replace absolute symlinks with relative ones
pushd $RPM_BUILD_ROOT%{_docdir}/HTML
for lang in *; do
  if [ -d $lang ]; then
    pushd $lang
    for i in */*; do
      [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../../common $i/common
    done
    popd
  fi
done
popd

%if "%{?desktop_file}" == "1"
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
  --vendor kde \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --delete-original \
  --add-category "Application" \
  --add-category "Office" \
  --add-category "X-Aurox-Extra" \
    $RPM_BUILD_ROOT%{_datadir}/applnk/Office/*.desktop

rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk/Office

# we should remove some kde prefix by some desktop files
for i in kword kspread kpresenter ; do
  mv -f $RPM_BUILD_ROOT%{_datadir}/applications/kde-$i.desktop \
        $RPM_BUILD_ROOT%{_datadir}/applications/$i.desktop ||:
done

%endif


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%lang(en) %doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_libdir}/*.so*
%{_libdir}/*.la
%{_libdir}/kde3/*
%if "%{?desktop_file}" == "1"
%{_datadir}/applications/*
%else
%{_datadir}/applnk/Office
%endif
%{_datadir}/apps/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/templates

%if "%{?mimelnk_pkg:1}" == "1"
%files mimelnk
%defattr(-,root,root)
# Earlier kdelibs didn't include our mimetypes, so we need them here
# Don't check modtime, etc..., so we can *attempt to* share with openoffice
%verify(not md5 size mtime) %{_datadir}/mimelnk/*/*.desktop
%endif

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Feb 15 2005 Aurox Team <aurox@aurox.org> 5:1.3.5-10.2.aur.2


* Tue May 04 2004 Aurox Team <aurox@aurox.org> 5:1.3.1-9.4.aur.1
- new official release
- build pre-1.3.1 snapshot
- requires koffice-i18n
- epoch changed to 5
- KOffice-1.3

* Mon Mar 22 2004 Rex Dieter <rexdieter at sf.net> 4:1.3-0.fdr.3
- Requires: mathml-fonts (for kformula)
- make buildable against kde-3.1.

* Wed Mar 17 2004 Rex Dieter <rexdieter at sf.net> 4:1.3-0.fdr.2
- fix desktop_file 

* Tue Feb 03 2004 Rex Dieter <rexdieter at sf.net> 4:1.3-0.fdr.1
- (re)build against kde-3.2
- add missing %%defattr to -mimelnk subpkg

* Sun Jan 18 2004 Rex Dieter <rexdieter at sf.net> 4:1.3-0.fdr.0
- 1.3

* Thu Jan 15 2004 Rex Dieter <rexdieter at sf.net> 4:1.2.95-0.fdr.2
- rebuild against newer ImageMagick

* Tue Dec 23 2003 Rex Dieter <rexdieter at sf.net> 4:1.2.95-0.fdr.1
- respin to purge libvcard dependancies

* Thu Dec 18 2003 Rex Dieter <rexdieter at sf.net> 4:1.2.95-0.fdr.0
- 1.2.95

* Thu Nov 06 2003 Rex Dieter <rexdieter at sf.net> 4:1.2.94-0.fdr.2
- fix for http://bugs.kde.org/show_bug.cgi?id=60279
- use wv2 for rh73 too.

* Sat Nov 01 2003 Rex Dieter <rexdieter at sf.net> 4:1.2.94-0.fdr.1
- *really* fix desktop files.

* Wed Oct 29 2003 Rex Dieter <rexdieter at sf.net> 4:1.2.94-0.fdr.0
- 1.2.94 (aka 1.3rc1)

* Fri Oct 24 2003 Rex Dieter <rexdieter at sf.net> 4:1.2.93-0.fdr.2
- remove my_ver macro
- quick hack for broken .desktop files
- try to share mimelnk files with openoffice.

* Tue Oct 14 2003 Rex Dieter <rexdieter at sf.net> 4:1.2.93-0.fdr.1
- enable aspell support

* Fri Sep 26 2003 Rex Dieter <rexdieter at sf.net> 4:1.2.93-0.fdr.0
- koffice-1.2.93 (aka koffice-1.3beta4)
- remove conflicts with openoffice (kde bug #65013)

* Sun Aug 31 2003 Rex Dieter <rexdieter at sf.net> 4:1.2.1-7.fdr.2
- fix kspread crasher (kde bug #60279/#62994)

* Wed Aug 20 2003 Rex Dieter <rexdieter at sf.net> 4:1.2.1-7.fdr.1
- (try to) address rh73 crashers (kde bug#62994)

* Fri Jun 27 2003 Rex Dieter <rexdieter at sf.net> 1.2.1-7.fdr.0
- sync to rh9's koffice-1.2.1-7
- fix desktop_file=1 case.

* Sun Jun 22 2003 Rex Dieter <rexdieter at sf.net> 1.2.1-3.fdr.0
- fedora'ize.

* Sun May 11 2003 Rex Dieter <rexdieter at sf.net> 1.2.1-2.4
- specfile cleanup

* Sun Mar 09 2003 Rex Dieter <rexdieter at sf.net> 1.2.1-2.3
- include %%{_datadir}/templates/.source

* Thu Feb 20 2003 Rex Dieter <rexdieter at sf.net> 1.2.1-2.1 
- use epochs in Obsoletes/Provides/Requires.

* Fri Feb 14 2003 Rex Dieter <rexdieter at sf.net> 1.2.1-2.0
- try cleaner fix for kword problem.
- separate i18n subpkg.
- Requires: kdelibs -> Prereq: kdelibs to ensure existence of 
  kbuildsycoca used in %%post/%%postun

* Tue Feb 11 2003 Rex Dieter <rexdieter at sf.net> 1.2.1-1.2
- -O1 on rh73, for now, seems higher opts cause items to be aligned
  unproperly in kword (see kde-redhat bug #684597)
- dt patch for rh80
- disable i18n support (rh73 only, for now, makes *much* smaller pkg).
- sync w/rawhide's 1.2.1-2

* Tue Jan 28 2003 Rex Dieter <rexdieter at sf.net> 1.2.1-1
- rebuild on/for kde-3.1
- rework i18n handling. 
- fixup %%postun to not run on upgrade.

* Sat Dec 21 2002 Rex Dieter <rexdieter at sf.net> 1.2.1-0.1
- rebuild against 3.0.5a

* Wed Dec 11 2002 Than Ngo <than@redhat.com> 1.2.1-1
- cleanup specfile
- remove a patch file, which is in upstream
- dangling symlinks (bug #78089)
- fPIC issue

* Sat Dec 7 2002 M. Takeyama <takezou@kde.gr.jp> 1.2.1-1rh73_02
- rebuild(kde 3.1rc5)
- Add doc(%doc)
- Add locale LC_MESSAGES

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 1.2-2
- fix some build problem

* Wed Sep 11 2002 Rex Dieter <rexdieter at sf.net> 1.2-1
- 1.2 release.
- use %%_smp_mflags instead of getconf
- disable gccver (for now).

